import request from '@/utils/request'
//全国经济大全列表
export function nationalPage(param) {
  return request({
    url: '/economic/national/nationalPage',
    method: 'POST',
    data: param
  })
}
//全国经济大全详情
export function getNationalDetails(param) {
  return request({
    url: '/economic/details',
    method: 'POST',
    data: param
  })
}

//获取年份-下拉
export function getYears(param) {
  return request({
    url: '/economic/years/list',
    method: 'POST',
    data: param
  })
}


//全国按月招标统计
export function countGroupByMonth(param) {
  return request({
    url: '/marketAnalysis/countGroupByMonth',
    method: 'POST',
    data: param
  })
}

//按属地统计招标数量
export function countGroupByProvince(param) {
  return request({
    url: '/marketAnalysis/countGroupByProvince',
    method: 'POST',
    data: param
  })
}
//获取年份-下拉
export function getYear() {
  return request({
    url: '/marketAnalysis/getYear',
    method: 'POST',
  })
}

//全国商机项目分析-全国土地交易项目
export function countLandMarketByType(param) {
  return request({
    url: '/marketAnalysis/countLandMarketByType',
    method: 'POST',
    data: param
  })
}
//全国商机项目分析-全国土地交易项目地区TOP10
export function countLandMarketByProvince(param) {
  return request({
    url: '/marketAnalysis/countLandMarketByProvince',
    method: 'POST',
    data: param
  })
}

//全国商机项目分析-全国土地交易项目年份统计
export function countLandMarketByYear() {
  return request({
    url: '/marketAnalysis/countLandMarketByYear',
    method: 'POST',
  })
}

//全国商机项目分析-全国各地区招标统计TOP10
export function countNewsBidByProvince(param) {
  return request({
    url: '/marketAnalysis/countNewsBidByProvince',
    method: 'POST',
    data: param
  })
}

//全国商机项目分析-全国公招项目统计
export function countNewsBidByYear() {
  return request({
    url: '/marketAnalysis/countNewsBidByYear',
    method: 'POST',
  })
}
//全国商机项目分析-全国各年度招标月份统计
export function countNewsBidByMonth(param) {
  return request({
    url: '/marketAnalysis/countNewsBidByMonth',
    method: 'POST',
    data: param
  })
}
//全国商机项目分析-全国土地交易项目年份统计
export function countBidGroupByProvince(param) {
  return request({
    url: '/marketAnalysis/countBidGroupByProvince',
    method: 'POST',
    data: param
  })
}



//全国建筑企业概览-资质等级按照行业、等级类型分组
export function certGroupByMajorAndLevel() {
  return request({
    url: '/marketAnalysis/certGroupByMajorAndLevel',
    method: 'POST',
  })
}
//全国建筑企业地区分布-资质等级按照行业、省份、等级类型分组
export function certGroupByMajorProvinceLevel() {
  return request({
    url: '/marketAnalysis/certGroupByMajorProvinceLevel',
    method: 'POST',
  })
}
//全国建筑企业备案分布-各省份备案企业统计
export function areaGroupByProvince() {
  return request({
    url: '/marketAnalysis/areaGroupByProvince',
    method: 'POST',
  })
}


//区域经济

//地区经济-统计
export function regional(param) {
  return request({
    url: '/economic/statistics/regional',
    method: 'POST',
    data: param
  })
}
//地区经济-获取当前位置
export function location(param) {
  return request({
    url: '/economic/location',
    method: 'POST',
    data: param
  })
}
//地区经济-主要指标列表
export function regionalList(param) {
  return request({
    url: '/economic/regional/list',
    method: 'POST',
    data: param
  })
}

//产业结构-按年份选择 各个项目类型项目总数
export function bidGroupCountByProjectType(param) {
  return request({
    url: '/marketAnalysis/bidGroupCountByProjectType',
    method: 'POST',
    data: param
  })
}
//产业结构-近两年各个项目类型项目总数及金额占比
export function bidMoneyGroupByProjectType(param) {
  return request({
    url: '/marketAnalysis/bidMoneyGroupByProjectType',
    method: 'POST',
    data: param
  })
}

//对比经济
export function regionalCompare(param) {
  return request({
    url: '/economic/regional/compare',
    method: 'POST',
    data: param
  })
}
export function multipleCompare(param) {
  return request({
    url: '/economic/regional/multipleCompare',
    method: 'POST',
    data: param
  })
}



//区域专项债-项目类别统计
export function statistics(param) {
  return request({
    url: '/specialPurposeBonds/bond/statistics',
    method: 'POST',
    data: param
  })
}

//区域专项债-专项债项目分页列表
export function projectsPage(param) {
  return request({
    url: '/specialPurposeBonds/projects/page',
    method: 'POST',
    data: param
  })
}
//区域专项债-专项债项目详情
export function details(param) {
  return request({
    url: '/specialPurposeBonds/details',
    method: 'POST',
    data: param
  })
}
//区域专项债-专项债项目详情-专项债分页列表
export function bondPage(param) {
  return request({
    url: '/specialPurposeBonds/bond/page',
    method: 'POST',
    data: param
  })
}


//区域企业
export function enterprise(param) {
  return request({
    url: '/enterprises/regional/page',
    method: 'POST',
    data: param
  })
}

//城投平台-企业查询选项
export function uipGroupData(param) {
  return request({
    url: '/enterprise/uipGroupData',
    method: 'POST',
    data: param
  })
}

//城投平台-分页列表
export function urbanInvestmentPage(param) {
  return request({
    url: '/urbanInvestment/page',
    method: 'POST',
    data: param
  })
}
//城投平台-城投平台统计
export function urbanInvestmentStatistics(param) {
  return request({
    url: '/urbanInvestment/statistics',
    method: 'POST',
    data: param
  })
}

//城投平台-认领
export function claim(param) {
  return request({
    url: '/customer/claim',
    method: 'POST',
    data: param
  })
}
//客户状态
export function customerStatus(name) {
  return request({
    url:`/customer/status/`+name,
    method: 'get',
  })
}
//历史客户认领
export function historyClaim(name) {
  return request({
    url:`/customer/historyClaim/`+name,
    method: 'put',
  })
}
//批量获取城投企业id
export function getUipIdByCid(param) {
  return request({
    url: '/enterprise/getUipIdByCid',
    method: 'POST',
    data: param
  })
}





